using Plus.HabboHotel.GameClients;
using Plus.HabboHotel.Rooms.Polls.Quick;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Plus.Communication.Packets.Outgoing.Rooms.Polls.Quick
{
    class ConcludePollComposer : ServerPacket
    {
        public ConcludePollComposer(QuickPoll Poll, int UserId, int VoteType)
            : base(ServerPacketHeader.MatchingPollFinishMessageComposer)
        {
            base.WriteInteger(UserId);
            base.WriteString(VoteType.ToString());
            base.WriteInteger(2);

            base.WriteString("1");
            base.WriteInteger(Poll.PVotes.Count);

            base.WriteString("0");
            base.WriteInteger(Poll.NVotes.Count);
        }
    }
}
